{
    "name": "vitefix",
    "private": true,
    "version": "0.0.0",
    "type": "module",
    "scripts": {
        "dev": "vite",
        "build": "rimraf dist && tsc -b && vite build",
        "lint": "eslint .",
        "preview": "vite preview",
        "shad": "npx shadcn@latest add ",
        "checkupdates": "npm-check-updates"
    },
    "dependencies": {
        "@hookform/resolvers": "^5.1.1",
        "@radix-ui/react-accordion": "^1.2.11",
        "@radix-ui/react-avatar": "^1.1.10",
        "@radix-ui/react-checkbox": "^1.3.2",
        "@radix-ui/react-collapsible": "^1.1.11",
        "@radix-ui/react-dialog": "^1.1.14",
        "@radix-ui/react-dropdown-menu": "^2.1.15",
        "@radix-ui/react-label": "^2.1.7",
        "@radix-ui/react-popover": "^1.1.14",
        "@radix-ui/react-scroll-area": "^1.2.9",
        "@radix-ui/react-select": "^2.2.5",
        "@radix-ui/react-separator": "^1.1.7",
        "@radix-ui/react-slot": "^1.2.3",
        "@radix-ui/react-tabs": "^1.1.12",
        "@radix-ui/react-tooltip": "^1.2.7",
        "@react-pdf/renderer": "^4.3.0",
        "@tailwindcss/vite": "^4.1.10",
        "@tanstack/react-form": "^1.12.3",
        "@tanstack/react-query": "^5.81.2",
        "@tanstack/react-router": "^1.121.34",
        "@tanstack/react-table": "^8.21.3",
        "class-variance-authority": "^0.7.1",
        "clsx": "^2.1.1",
        "date-fns": "^4.1.0",
        "date-fns-tz": "^3.2.0",
        "dotenv": "^16.5.0",
        "hono": "^4.8.2",
        "js-cookie": "^3.0.5",
        "jsbarcode": "^3.12.1",
        "jsonwebtoken": "^9.0.2",
        "lucide-react": "^0.522.0",
        "marked": "^15.0.12",
        "next-themes": "^0.4.6",
        "npm-check-updates": "^18.0.1",
        "react": "^19.1.0",
        "react-barcode": "^1.6.1",
        "react-day-picker": "^9.7.0",
        "react-dom": "^19.1.0",
        "react-grid-layout": "^1.5.1",
        "react-hook-form": "^7.58.1",
        "react-resizable-panels": "^3.0.3",
        "recharts": "^2.15.2",
        "sonner": "^2.0.5",
        "tailwind-merge": "^3.3.1",
        "tailwindcss": "^4.1.10",
        "tailwindcss-animate": "^1.0.7",
        "zod": "^3.25.67",
        "zustand": "^5.0.5"
    },
    "devDependencies": {
        "@eslint/js": "^9.29.0",
        "@tanstack/router-devtools": "^1.121.34",
        "@tanstack/router-plugin": "^1.121.34",
        "@types/react": "^19.1.8",
        "@types/react-dom": "^19.1.6",
        "@types/react-grid-layout": "^1.3.5",
        "@vitejs/plugin-react-swc": "^3.10.2",
        "eslint": "^9.29.0",
        "eslint-plugin-react-hooks": "^5.2.0",
        "eslint-plugin-react-refresh": "^0.4.20",
        "globals": "^16.2.0",
        "typescript": "~5.8.3",
        "typescript-eslint": "^8.35.0",
        "vite": "^6.3.5"
    },
    "overrides": {
        "react-is": "^19.0.0-rc-69d4b800-20241021"
    }
}
